package net.wanji.databus.dao.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.Objects;

/**
 * @author Kent HAN
 * @date 2023/1/3 9:40
 */
@Data
public class BaseCrossSchemePO {
    /** 方案ID */
    @ApiModelProperty(name = "方案ID",notes = "")
    private Integer id ;
    /** 方案号 */
    @ApiModelProperty(name = "方案号",notes = "")
    private String schemeNo ;
    /** 方案名称 */
    @ApiModelProperty(name = "方案名称",notes = "")
    private String name ;
    /** 路口ID */
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId ;
    /** 周期 */
    @ApiModelProperty(name = "周期",notes = "")
    private Integer cycle = 0;
    /** 协调相位ID */
    @ApiModelProperty(name = "协调相位ID",notes = "")
    private Integer coordPhase = 0 ;
    /** 相位差 */
    @ApiModelProperty(name = "相位差",notes = "")
    private Integer offset = 0;
    /** 数据来源：1信号机；2平台 */
    @ApiModelProperty(name = "数据来源：1信号机；2平台",notes = "")
    private Integer source ;
    /** 删除标识：1删除；0未删除 */
    @ApiModelProperty(name = "删除标识：1删除；0未删除",notes = "")
    private Integer isDeleted ;
    @ApiModelProperty(name = "状态：1执行；0未执行",notes = "")
    private Integer status = 0 ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtModified ;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        BaseCrossSchemePO that = (BaseCrossSchemePO) o;
        return Objects.equals(id, that.id);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id);
    }
}
