package net.wanji.databus.dao.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2023/1/3 9:40
 */
@Data
public class CrossPhasePO {
    /** 相位ID */
    @ApiModelProperty(name = "相位ID",notes = "")
    private Integer id ;
    /** 相位号 */
    @ApiModelProperty(name = "相位号",notes = "")
    private String phaseNo ;
    /** 相位名称 */
    @ApiModelProperty(name = "相位名称",notes = "")
    private String name = "";
    /** 相位序号 */
    @ApiModelProperty(name = "相位序号",notes = "")
    private Integer sort ;
    /** 路口ID */
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId ;
    /** 方案ID */
    @ApiModelProperty(name = "方案ID",notes = "")
    private Integer planId ;
    /** 伴随相位ID */
    @ApiModelProperty(name = "伴随相位号",notes = "")
    private String accompanyPhaseNo = "";
    /** 环号 */
    @ApiModelProperty(name = "环号",notes = "")
    private Integer ringNo = 0 ;
    /** 组号 */
    @ApiModelProperty(name = "组号",notes = "")
    private Integer groupNo = 0;
    /** 控制模式：1定周期；2绿灯；3黄灯；4红灯；5关灯；6绿闪；7黄闪；8红闪 */
    @ApiModelProperty(name = "相位类型 1实相位 2虚相位 3伴随相位",notes = "")
    private Integer phaseType = 0;
    /** 控制模式：1定周期；2绿灯；3黄灯；4红灯；5关灯；6绿闪；7黄闪；8红闪 */
    @ApiModelProperty(name = "控制模式：1定周期；2绿灯；3黄灯；4红灯；5关灯；6绿闪；7黄闪；8红闪",notes = "")
    private Integer controlMode ;
    /** 相位时间 */
    @ApiModelProperty(name = "相位时间",notes = "")
    private Integer phaseTime= 0 ;
    /** 绿灯时间 */
    @ApiModelProperty(name = "绿灯时间",notes = "")
    private Integer greenTime= 0 ;
    /** 绿闪时间 */
    @ApiModelProperty(name = "绿闪时间",notes = "")
    private Integer greenFlashTime= 0 ;
    /** 黄闪时间 */
    @ApiModelProperty(name = "黄闪时间",notes = "")
    private Integer yellowFlashTime= 0 ;
    /** 红闪时间 */
    @ApiModelProperty(name = "红闪时间",notes = "")
    private Integer redFlashTime= 0 ;
    /** 行闪时间 */
    @ApiModelProperty(name = "行闪时间",notes = "")
    private Integer pedFlashTime = 0;
    /** 黄灯时间 */
    @ApiModelProperty(name = "黄灯时间",notes = "")
    private Integer yellowTime= 0 ;
    /** 红灯时间 */
    @ApiModelProperty(name = "红灯时间",notes = "")
    private Integer redTime= 0 ;
    /** 最小绿灯时间 */
    @ApiModelProperty(name = "最小绿灯时间",notes = "")
    private Integer minGreenTime= 0 ;
    /** 最大绿灯时间 */
    @ApiModelProperty(name = "最大绿灯时间",notes = "")
    private Integer maxGreenTime= 0 ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtModified ;
}
