package net.wanji.databus.dao.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/18 18:37
 */
@Data
public class CrossSchedulesPO {
    /** 日期ID */
    @ApiModelProperty(value = "日期ID",notes = "")
    private Integer id ;
    /** 日期编号 */
    @ApiModelProperty(value = "日期编号",notes = "")
    private Integer scheduleNo;
    /** 日期名称 */
    @ApiModelProperty(value = "日期名称",notes = "")
    private String name ;
    /** 路口ID */
    @ApiModelProperty(value = "路口ID",notes = "")
    private String crossId ;
    /** 计划ID */
    @ApiModelProperty(value = "计划ID",notes = "")
    private Integer planId ;
    /** 星期：1周一;2周二，3周三，4周四，5周五，6周六，7周日，0特殊日期 */
    @ApiModelProperty(value = "星期：1周一",notes = "2周二，3周三，4周四，5周五，6周六，7周日，0特殊日期")
    private Integer week ;
    /** 特殊日期 */
    @ApiModelProperty(value = "特殊日期",notes = "")
    private Date specialDate ;
    /** 创建时间 */
    @ApiModelProperty(value = "创建时间",notes = "")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(value = "修改时间",notes = "")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date gmtModified ;
}
