package net.wanji.databus.dao.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class GreenwaveRealtimePO {
    /** 绿波ID */
    @ApiModelProperty(name = "id",notes = "")
    @TableId
    private Integer id ;
    @ApiModelProperty(name = "绿波ID",notes = "")
    private Integer greenId;
    /** 交通状态：1畅通；2缓行；3拥堵；4严重拥堵；5未知 */
    @ApiModelProperty(name = "交通状态：1畅通；2缓行；3拥堵；4严重拥堵；5未知",notes = "")
    private Integer status ;
    /** 拥堵类型：1常规；2异常 */
    @ApiModelProperty(name = "拥堵类型：1常规；2异常",notes = "")
    private Integer type ;
    /** 交通指数 */
    @ApiModelProperty(name = "交通指数",notes = "")
    private Double trafficIndex ;
    /** 行程速度（km/h） */
    @ApiModelProperty(name = "行程速度（km/h）",notes = "")
    private Double speed ;
    /** 行程时间（秒） */
    @ApiModelProperty(name = "行程时间（秒）",notes = "")
    private Integer trvalTime ;
    /** 停车次数 */
    @ApiModelProperty(name = "停车次数",notes = "")
    private Double stopTimes ;
    /** 拥堵距离（米） */
    @ApiModelProperty(name = "拥堵距离（米）",notes = "")
    private Double queueLength ;
    /** 拥堵比例 */
    @ApiModelProperty(name = "拥堵比例",notes = "")
    private Double congRate ;
    /** 延误时间（秒） */
    @ApiModelProperty(name = "延误时间（秒）",notes = "")
    private Integer delayTime ;
    /** 不停车通过率 */
    @ApiModelProperty(name = "协调不停车通过率",notes = "")
    private Double noparkPassRate ;

    @ApiModelProperty(name = "协调方案可靠性",notes = "")
    private Double cordReliability ;

    @ApiModelProperty(name = "协调路段排队空间占比",notes = "")
    private Double cordQueueRatio ;

    /** 非协调相位二次排队 */
    @ApiModelProperty(name = "非协调相位二次排队",notes = "")
    private Double uncoordinatePhaseQueue ;
    /** 创建时间 */
    @ApiModelProperty(name = "数据时间",notes = "")
    private Date startTime ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
