package net.wanji.databus.dao.mapper;

import net.wanji.databus.po.BaseCrossLightsPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Repository;

import java.util.Collection;
import java.util.List;

/**
 * 灯组基础信息;(t_base_cross_lights)表数据库访问层
 * @author : hanbing
 * @date : 2023-1-3
 */
@Repository
@Primary
public interface BaseCrossLightsMapper {

    void deleteByCrossId(@Param("crossId") String crossId);

    void insertBatch(@Param("entities") Collection<BaseCrossLightsPO> entities);

    BaseCrossLightsPO selectByCrossIdAndLedNum(@Param("crossId") String crossId, @Param("ledNum") String ledNum);

    List<BaseCrossLightsPO> selectByCrossId(@Param("crossId") String crossId);

    List<BaseCrossLightsPO> selectByCrossIdAndDir(@Param("crossId") String crossId, @Param("dir") Integer dir);

    BaseCrossLightsPO selectById(@Param("id") Integer id);

    List<BaseCrossLightsPO> selectByLightsIdsAndDir(@Param("lightsIds") List<Integer> lightsIds,
                                                    @Param("dir") Integer dir);

    void update(BaseCrossLightsPO baseCrossLightsPO);

    void insertOne(BaseCrossLightsPO baseCrossLightsPO);

    List<BaseCrossLightsPO> listCrossLightsPO(@Param("entity") BaseCrossLightsPO entity);

    List<BaseCrossLightsPO> listCrossLights();

    void deleteOne(@Param("crossId") String crossId,
                   @Param("elementId") String elementId);
}
