package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.CrossPhaseLightsPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Collection;
import java.util.List;

/**
 * 相位灯组关系;(t_base_cross_phase_lights)表数据库访问层
 * @author : hanbing
 * @date : 2023-1-3
 */
@Repository
public interface BaseCrossPhaseLightsMapper {
    void deleteByCrossId(@Param("crossId") String crossId);

    void insertBatch(@Param("entities") Collection<CrossPhaseLightsPO> entities);

    List<CrossPhaseLightsPO> selectByPhaseId(@Param("phaseId") Integer phaseId);

    List<CrossPhaseLightsPO> selectByLightsId(@Param("lightsId") Integer lightsId);

    void updateLightsId(@Param("oldId") Integer oldId, @Param("newId") Integer newId);

    Integer selectIdByThreeIds(Integer lightsId, Integer phaseId, String crossId);

    void insertOne(CrossPhaseLightsPO crossPhaseLightsPO);

    List<CrossPhaseLightsPO> listCrossPhaseLightsPO(@Param("entity") CrossPhaseLightsPO entity);
}
