package net.wanji.databus.dao.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import net.wanji.databus.dao.entity.BaseCrossSchedulesPlanPO;

import java.util.Date;
import java.util.List;

/**
 * 时间表信息（调度计划关系）;(t_base_cross_schedules_plan)表
 *
 * @author Kent HAN
 * @date 2023/1/28 13:16
 */
@Repository
public interface BaseCrossSchedulesPlanMapper {

    void deleteByCrossId(@Param("crossId") String crossId);

    void insertOne(BaseCrossSchedulesPlanPO baseCrossSchedulesPlanPO);

    List<BaseCrossSchedulesPlanPO> selectByCrossIdAndSchedulesId(@Param("crossId") String crossId,
                                                                 @Param("schedulesId") Integer schedulesId);

    BaseCrossSchedulesPlanPO selectBySpecialDate(String crossId, Integer schedulesId, Date todayDate);

    BaseCrossSchedulesPlanPO selectByWeekday(String crossId, Integer schedulesId, int weekday);
}
