package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.BaseCrossSchemePO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Set;

/**
 * 方案基础信息;(t_base_cross_scheme)表数据库访问层
 * @author : hanbing
 * @date : 2023-1-3
 */
@Repository
public interface BaseCrossSchemeMapper {

    List<BaseCrossSchemePO> listCrossSchemeInfo(@Param("crossId") String crossId,
                                                @Param("schemeNo") String schemeNo,
                                                @Param("id") Integer id);
    void deleteByCrossId(@Param("crossId") String crossId);

    void insertBatch(@Param("entities") List<BaseCrossSchemePO> entities);

    Integer selectIdByCrossIdAndSchemeNo(@Param("crossId") String crossId, @Param("schemeNo") String schemeNo);

    void updateCoordPhase(@Param("crossId") String crossId,
                          @Param("schemeNo") String schemeNo,
                          @Param("phaseId") Integer phaseId);

    List<BaseCrossSchemePO> selectByCrossId(@Param("crossId") String crossId);

    Integer selectIdByCrossIdAndSchemeName(@Param("crossId") String crossId,
                                           @Param("schemeName") String schemeName);

    BaseCrossSchemePO selectByCrossIdAndSchemeName(@Param("crossId") String crossId,
                                                   @Param("schemeName") String schemeName);

    BaseCrossSchemePO selectById(@Param("id") Integer id);

    void insertOne(BaseCrossSchemePO baseCrossSchemePO);

    void update(BaseCrossSchemePO baseCrossSchemePO);

    Set<Integer> selectIdsByCrossId(String crossId);

    void deleteByIds(Set<Integer> existedIds);

    void resetStatus(String crossId);

    void updateStatus(Integer schemeId);

    BaseCrossSchemePO selectByCrossIdAndSchemeNo(@Param("crossId") String crossId,
                                                 @Param("schemeNo") Integer schemeNo);

    List<BaseCrossSchemePO> selectByCrossIdAndPartialSchemeName(String crossId, String schemeName);

    List<BaseCrossSchemePO> selectAll();

    BaseCrossSchemePO selectByCrossIdAndSchemeId(String crossId, Integer schemeId);
}
