package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.CrossSectionPO;
import net.wanji.databus.dao.entity.CrossSectionPOExt;
import net.wanji.databus.dto.CrossAllSchemesDTO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 时段基础信息;(t_base_cross_section)表
 *
 * @author Kent HAN
 * @date 2023/1/28 13:16
 */
@Repository
public interface BaseCrossSectionMapper {

    void insertOne(CrossSectionPO crossSectionPO);

    void deleteByCrossId(@Param("crossId") String crossId);

    List<CrossSectionPO> listCrossSectionPO(@Param("entity") CrossSectionPO entity);

    List<CrossSectionPO> selectByCrossAndPlan(String crossId, Integer planId);

    CrossSectionPO selectById(Integer id);

    void updateControlMode(Integer sectionId, Integer controlMode);

    List<CrossSectionPO> selectByCrossId(String crossId);

    List<CrossSectionPO> selectByCrossIdPlanIdAndSchemeId(String crossId, Integer planId, Integer schemeId);

    CrossSectionPO selectByEndTimePlanId(String endTime, Integer planId);

    CrossSectionPO selectByStartTimePlanId(String startTime, Integer planId);

    List<CrossSectionPO> selectAll();

    CrossSectionPO selectbyStartTimeCrossIdPlanId(String startTime, String crossId, Integer planId);

    List<CrossSectionPOExt> selectByCrossIdsAndStartTime(String startTime, List<String> crossList);

    List<CrossAllSchemesDTO> selectCrossAllSchemes(String crossId);

    void deleteByCrossIds(List<Integer> ids);

    void updateOne(Integer sectionId, Integer crossPlanId, Integer schemeId);
}
