package net.wanji.databus.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.databus.dto.MetricHistDTO;
import net.wanji.databus.po.CrossTurnDataHistPO;
import net.wanji.databus.po.CrossTurnDataHistPOExt;
import net.wanji.databus.vo.Condition;
import net.wanji.databus.vo.CrossTurnDataHistVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * @author duanruiming
 * @date 2023/03/10 21:11
 */
@Mapper
public interface CrossTurnDataHistMapper extends BaseMapper<CrossTurnDataHistPO> {
    void insertBatch(@Param("list") List<CrossTurnDataHistPO> list);
    void deleteBatch(@Param("list") Collection<String> crossIds);

    CrossTurnDataHistPO selectNoPark(String crossId, Integer dir, String turn, long currentSeconds, long preSeconds);

    List<CrossTurnDataHistPO> selectByCrossId(String crossId, long endTimeStamp, long startTimeStamp);

    /**
     * 转向级查询
     * @param crossId
     * @param startStamp
     * @param endStamp
     * @param granularity
     * @param turnType
     * @param inDir
     * @return
     */
    List<CrossTurnDataHistVO> selectByCrossIdTurn(String crossId, String startStamp, String endStamp, String granularity
            , List<String> turnTypeList , List<Integer> inDirList, List<Condition> conditionList);

    List<MetricHistDTO> selectMetricHistDTO(String crossId, int startStamp, int endStamp, int dir, String turn);

    List<CrossTurnDataHistPOExt> selectByMetrics(String crossId, int dirInt, String turnType, int startTimeStamp, int endTimeStamp);

    List<CrossTurnDataHistPO> selectByCrossIdAndDir(String crossId, Integer dir, long endTimeStamp, long startTimeStamp);
}
