package net.wanji.databus.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 行政区划编码
 * </p>
 *
 * @Author guoliang.dong@wanji.com
 * @Date 2020-12-30
 */
@Data
@ApiModel(value="AdCode对象", description="")
public class ApiAdCodeDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "行政区划编码")
    private String adCode;

    @ApiModelProperty(value = "行政区划名称")
    private String adName;

    @ApiModelProperty(value = "经度")
    private Float lon;

    @ApiModelProperty(value = "纬度")
    private Float lat;

    @ApiModelProperty(value = "行政区划面状要素")
    private String geom;

    @ApiModelProperty(value = "行政区划面积")
    private String area;

    @ApiModelProperty(value = "城区面积")
    private String cityArea;

    @ApiModelProperty(value = "父级行政区划编码")
    private String parentId;

    @ApiModelProperty(value = "0中国，1省级，2市级，3区县级")
    private Integer level;

    @ApiModelProperty(value = "行政区划代码版本：年份+月份")
    private String version;

    @ApiModelProperty(value = "描述信息")
    private String description;

    @ApiModelProperty(value = "数据状态：enable/disable")
    private String status;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "行政区划英文名")
    private String nameEn;
    
    @ApiModelProperty(value = "城市编码")
    private String cityCode;

    //扩充字段
    @ApiModelProperty(value = "几何类型")
    private String geomType;
}
