package net.wanji.databus.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 * @author Kent HAN
 * @date 2022/11/15 9:57
 */
@Data
@ApiModel(value = "CrossInfoDTO", description = "查询信号路口基础信息输入参数")
public class CrossInfoDTO {
    @ApiModelProperty(value = "厂商代码 HK")
    @NotBlank
    @Pattern(regexp = "^[A-Z]*$", message = "厂商代码只能包含大写英文字母")
    String manufacturerCode;
}
