package net.wanji.databus.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * @Description:
 *  @NotEmpty 用在集合类上面
 *  @NotBlank 用在String上面
 *  @NotNull 用在基本类型上
 * @Author Jack
 * @Date 2020/8/25 14:02
 */
@Data
public class LoginUserDTO {

    @NotBlank(message = "用户名不能为空")
    @Size(min = 1, max = 50, message = "用户名长度应当在 1 ~ 50 个字符之间")
    private String username;

    @NotBlank(message = "密码不能为空")
    @Size(min = 1, max = 255, message = "密码长度应当在 1 ~ 255 个字符之间")
    private String password;

    private String businessAccountId;

    private String cardId;
}
