package net.wanji.databus.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@NoArgsConstructor
@Data
public class MetricHistDTO {

    @ApiModelProperty(value = "状态：0正常；1失衡；2拥堵；3溢出；4死锁", notes = "")
    private Integer status;
    @ApiModelProperty(value = "开始时间：yyyy-MM-dd HH:mm:ss", notes = "")
    private Date startTime;
    @ApiModelProperty(value = "持续时间（单位：分钟）", notes = "")
    private Integer duration;
    @ApiModelProperty(value = "交通流量（辆）", notes = "")
    private Integer flow = 0;
    @ApiModelProperty(value = "采集时间（10位时间戳）", notes = "")
    private Integer batchTime;
    @ApiModelProperty(value = "通行能力")
    private Integer capacity = 0;
    @ApiModelProperty(value = "饱和度", notes = "")
    private Double sturation = 0.0;

    @ApiModelProperty(value = "N次停车通过率")
    public Double oneStopRate = 0.0;
    @ApiModelProperty(value = "平均速度（km/h）", notes = "")
    private Double speed = 0.0;
    @ApiModelProperty(value = "停车次数（次）", notes = "")
    private Double stopTimes = 0.0;
    @ApiModelProperty(value = "延误时间（秒）", notes = "")
    private Integer delayTime = 0;
    @ApiModelProperty(value = "最大排队（米）")
    private Double queueLength = 0.0;
    @ApiModelProperty(value = "溢流率", notes = "")
    private Double effusionRate = 0.0;
    @ApiModelProperty(value = "不停车率")
    public Double noStopRate = 0.0;
    @ApiModelProperty(value = "空放次数")
    public Integer emptyDischarges = 0;
    @ApiModelProperty(value = "绿灯有效利用率", notes = "")
    private Double greenLightEfficiency = 0.0;
    @ApiModelProperty(value = "负载均衡度", notes = "")
    private Double loadBalance = 0.0;
    @ApiModelProperty(value = "绿灯空放时长", notes = "")
    private Integer emptyPhase = 0;

}
