package net.wanji.databus.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

/**
 * @author Kent HAN
 * @date 2022/11/15 9:57
 */
@Data
@ApiModel(value = "PlanSectionDTO", description = "查询计划数据-计划信息、时段信息输入参数")
public class PlanSectionDTO {
    @ApiModelProperty(value = "路口ID")
    @Pattern(regexp = "^[A-Za-z0-9]{11}$", message = "路口编号只能包含英文、数字，必须11个字符")
    private String crossId;

    @ApiModelProperty(value = "计划号，-1代表所有")
    @NotNull(message = "最小为-1，查所有")
    @Min(value = -1, message = "最小为-1，查所有")
    private Integer planNo;
}
