package net.wanji.databus.dto;

import net.wanji.common.framework.domain.TrackableEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *  元数据表
 *
 * @author guoliang.dong@wanji.com
 * @date 2021/2/10
 */
@Data
public class TableDTO extends TrackableEntity {

    @ApiModelProperty(value = "中文表名")
    private String nameCn;

    @ApiModelProperty(value = "英文表名")
    private String nameEn;

    @ApiModelProperty(value = "区分新建还是导入。", example = "new(新建)/import(导入)")
    private String recordMode;

    @ApiModelProperty(value = "oracle表所属模式名")
    private String schemaName;

    @ApiModelProperty(value = "数据库id")
    private String dbId;

    @ApiModelProperty(value = "数据类型（来源于数据类型字典表）")
    private String sourceType;

    @ApiModelProperty(value = "来源于字典表，用逗号分隔：是否可编辑edit、可发布publish、可缓存cache、可挂接hook、可套和nest、可导出export、是否空间表geometry")
    private String features;

    @ApiModelProperty(value = "表描述信息")
    private String des;

    private String dsId;

    private String geometryType;

    @ApiModelProperty(value = "目录信息")
    private String catalogId;
}
