package net.wanji.databus.dto.statistical;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value = "路网查询请求")
public class StatisticalSearchDTO {

    @ApiModelProperty(value = "当前页", required = true)
    private Integer pageNum;

    @ApiModelProperty(value = "每页数量", required = true)
    private Integer pageSize;

    @ApiModelProperty(value = "行政区划", required = true)
    private String adCode;

    @ApiModelProperty(value = "搜索关键字", required = true)
    private String keyword;

    @ApiModelProperty(value = "表名多个用，隔开", required = true)
    private String tableNames;

    @ApiModelProperty(value = "是否返回关联信息：true/false", required = true)
    private Boolean returnRelation;

    @ApiModelProperty(value = "是否返回几何字段：true/false", required = true)
    private Boolean returnGeometry;

    @ApiModelProperty(value = "返回空间数据格式：wkt/geojson", required = true)
    private String geomType;

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getAdCode() {
        return adCode;
    }

    public void setAdCode(String adCode) {
        this.adCode = adCode;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getTableNames() {
        return tableNames;
    }

    public void setTableNames(String tableNames) {
        this.tableNames = tableNames;
    }

    public Boolean getReturnRelation() {
        return returnRelation;
    }

    public void setReturnRelation(Boolean returnRelation) {
        this.returnRelation = returnRelation;
    }

    public Boolean getReturnGeometry() {
        return returnGeometry;
    }

    public void setReturnGeometry(Boolean returnGeometry) {
        this.returnGeometry = returnGeometry;
    }

    public String getGeomType() {
        return geomType;
    }

    public void setGeomType(String geomType) {
        this.geomType = geomType;
    }
}
