package net.wanji.databus.handler.message;

import com.alibaba.fastjson.JSONObject;
import net.wanji.common.framework.spring.ServiceBeanContext;
import net.wanji.common.tool.mqtool.MqUtil;
import net.wanji.databus.entity.develop.repo.RepoModule;
import net.wanji.databus.event.RepoModuleEvent;
import com.rabbitmq.client.Channel;
import com.rabbitmq.client.Envelope;
import lombok.extern.slf4j.Slf4j;

/**
 * @ClassName JavaModuleOnlineMessageHandler
 * @Description
 * @Author wanji
 * @Date 2020/7/17 11:50
 * @Version 1.0
 */
@Slf4j
public class JavaModuleOfflineMessageHandler implements MqUtil.MessageHandler {

    @Override
    public void handle(Channel channel, String message, Envelope envelope, boolean autoAck) {
        try {
            log.info("接收到成功消息，消息内容:{}", message);
            ServiceBeanContext.getBean(RepoModuleEvent.class).moduleOfflineEvent(JSONObject.parseObject(message, RepoModule.class));
            if (!autoAck) {
                channel.basicAck(envelope.getDeliveryTag(), false);
                log.info("Handle finished[{}]", envelope.getDeliveryTag());
            }
        } catch (Exception e) {
            log.error("消息处理失败", e);
        }
    }
}
