package net.wanji.databus.po;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.Pattern;
import java.util.Date;

/**
 * @author wuxiaokai
 * @date 2022/11/28 9:42:39
 */
@Getter
@Setter
public class BaseCrossInfoPO {

    /**
     * 路口ID
     */
    private String id;

    /**
     * 路口名称
     */
    @Pattern(regexp = "^[\\u4E00-\\u9FA5\\w\\-]{0,20}$", message = "路口名称只能包含中文、英文、数字、下划线和中横线,0~20个字符")
    private String name;

    /**
     * 路口类型
     */
    private Integer type;

    /**
     * 路口级别
     */
    private Integer level;

    /**
     * 行政区划代码
     */
    private Integer areaCode;

    /**
     * 行政区划名称
     */
    private String areaName;

    /**
     * 路口位置
     */
    private String location;

    /**
     * 是否信控路口：1是；0否
     */
    private Integer isSignal;

    /**
     * 是否启动优化：1是；0否
     */
    private Integer isStart;

    /**
     * 是否下发方案：1是；0否
     */
    private Integer isSend;

    /**
     * 创建时间
     */
    private Date gmtCreate;

    /**
     * 修改时间
     */
    private Date gmtModified;

}
