package net.wanji.databus.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author hfx
 * @date 2023/1/12 13:37
 * @desc 路口转向基础信息
 */
@Data
public class CrossTurnInfoPO {

    /** 转向ID（路口ID_驶入方向_转向类型） */
    @ApiModelProperty(name = "转向ID（路口ID_驶入方向_转向类型）",notes = "")
    private String id ;
    /** 转向类型：u掉头；l左转；s直行；r右转； */
    @ApiModelProperty(name = "转向类型：u掉头；l左转；s直行；r右转；",notes = "")
    private String turnType ;
    /** 驶入方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北 */
    @ApiModelProperty(name = "驶入方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer inDir ;
    /** 驶出方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北 */
    @ApiModelProperty(name = "驶出方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer outDir ;
    /** 路口ID */
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;

}
