package net.wanji.databus.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/21 11:18
 */
@Data
public class SignalStatusLogPO {
    /** 日志ID */
    @ApiModelProperty(value = "日志ID",notes = "")
    private Integer id ;
    /** 路口ID */
    @ApiModelProperty(value = "路口ID",notes = "")
    private String crossId ;
    /** 信号机ID */
    @ApiModelProperty(value = "信号机ID",notes = "")
    @NotBlank(message = "信号机ID不能为空")
    @Pattern(regexp = "^[\\w\\-]{1,50}$", message = "信号机ID只能包含英文、数字、下划线和中横线,1~50个字符")
    private String signalId ;

    // @Pattern(regexp = "^[\\u4E00-\\u9FA5\\w\\-]{0,20}$", messsage="信号机名称只能包含中文、英文、数字、下划线和中横线,0~20个字符")

    /** 信号状态：0离线；1在线 */
    @ApiModelProperty(value = "信号状态：0离线；1在线",notes = "")
    private Integer status ;
    /** 故障类型：0正常；1检测器故障；2时钟故障；3电源故障；4驱动模块故障；5信号灯故障；6箱门开启；7方案错误；8绿冲突；9红全熄；10行人红熄； */
    @ApiModelProperty(value = "故障类型：0正常；1检测器故障；2时钟故障；3电源故障；4驱动模块故障；5信号灯故障；6箱门开启；7方案错误；8绿冲突；9红全熄；10行人红熄；",notes = "")
    private Integer faultType ;
    /** 控制类型：1时间表；2全红；3黄闪；4锁定；5中心优化；6MEC优化；7现场手动 */
    @ApiModelProperty(value = "控制类型：1时间表；2全红；3黄闪；4锁定；5中心优化；6MEC优化；7现场手动",notes = "")
    private Integer controlType ;
    /** 创建时间 */
    @ApiModelProperty(value = "创建时间",notes = "")
    private Date gmtCreate ;
}
