package net.wanji.databus.provider.client.displaycenter;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.develop.servicedevelop.appmanage.Application;
import net.wanji.databus.entity.client.displaycenter.WebCommonSystemRlat;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/3/4 13:42
 */
public interface WebCommonSystemRlatProvider  extends BaseDubboInterface<WebCommonSystemRlat> {

    /**
     * @Description: 通过cardId进行修改，先删除后添加
     *
     * @param webCommonSystemRlats
     * @return net.wanji.common.framework.rest.JsonViewObject
     * @Author wanji
     * @Date 2020/3/6 20:08
     **/
    JsonViewObject updateCommonSystem(List<Map> webCommonSystemRlats, String cardId) throws DubboProviderException;

    /**
     * @Description: 查询常用系统
     *
     * @return java.util.List<java.lang.System>
     * @Author wanji
     * @Date 2020/3/25 13:52
     **/
    List<Application> queryCommonSystems(String cardId) throws DubboProviderException;
}
