package net.wanji.databus.provider.client.frontdevelop;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.dto.WebPageSaveDTO;
import net.wanji.databus.entity.client.frontdevelop.WebPage;

import java.util.Map;

/**
 * Created by wanji on 2019/6/17.
 */
public interface WebPageProvider extends BaseDubboInterface<WebPage> {
    /**
     * 根据菜单id删除页面
     *
     * @param menuId 菜单id
     * @author guohui.wang
     * @date 2020-3-20 14:42:19
     */
    void deleteWebPageByMenuId(String menuId);

    /**
     * @param
     * @param pageId
     * @param type
     * @return net.wanji.common.framework.rest.JsonViewObject
     * @Description:
     * @Author peng.zhang6
     * @Date 2020/4/7 11:10
     **/
    JsonViewObject uploadImage(String imageUploadUrl, String originName, String pageId, String type);

    void saveOrUpdateWebpage(WebPageSaveDTO webPageSaveDTO) throws DubboProviderException;

    Map<String, Object> getAppInfo(String appId) throws DubboProviderException;
}
