package net.wanji.databus.provider.client.identityManagement;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.Node;
import net.wanji.databus.entity.client.identitymanagement.AuthorityOrganization;

import java.util.List;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/27 18:47
 **/
public interface AuthorityOrganizationProvider extends BaseDubboInterface<AuthorityOrganization> {

    /**
     * @Description: 获取授权资源树形结构列表
     *
     * @param type
     * @param id
     * @return java.util.List<net.wanji.common.framework.rest.Node>
     * @Author wanji
     * @Date 2019/12/4 15:24
     **/
    List<Node> queryAuthList(String type, String id, String authObjCatalogId) throws DubboProviderException;

    /**
     * @Description: 对认证企业用户进行授权
     *
     * @param type
     * @param organizationId
     * @param addAuthorityObjectIdList
     * @param deleteAuthorityObjectIdList
     * @return boolean
     * @Author wanji
     * @Date 2019/12/11 16:30
     **/
    boolean approve(String type, String organizationId,String appId, List<String> addAuthorityObjectIdList, List<String> deleteAuthorityObjectIdList) throws DubboProviderException;
}
