package net.wanji.databus.provider.client.identityManagement;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.Node;
import net.wanji.databus.entity.client.identitymanagement.AuthorityRole;

import java.util.List;
import java.util.Set;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/27 18:47
 **/
public interface AuthorityRoleProvider extends BaseDubboInterface<AuthorityRole> {
    /**
     * @Description: 获取授权资源树形结构列表
     *
     * @param type
     * @param id
     * @return java.util.List<net.wanji.common.framework.rest.Node>
     * @Author wanji
     * @Date 2019/12/4 15:27
     **/
    List<Node> queryAuthList(String type, String id, String authObjCatalogId) throws DubboProviderException;

    /**
     * @Description: 对认证角色进行授权
     *
     * @param type
     * @param roleId
     * @param addAuthorityObjectIdList
     * @param deleteAuthorityObjectIdList
     * @return boolean
     * @Author wanji
     * @Date 2019/12/11 16:30
     **/
    boolean approve(String type, String roleId, List<String> addAuthorityObjectIdList, List<String> deleteAuthorityObjectIdList) throws DubboProviderException;

    /**
     * @Description: 根据角色和权限类型获取该类型下所有权限类型id
     *
     * @param roleId
     * @param type
     * @return java.util.Set<java.lang.String>
     * @Author wanji
     * @Date 2019/12/6 14:48
     **/
    Set<String> getAuthObjIdList(String roleId, String type) throws DubboProviderException;
}
