package net.wanji.databus.provider.client.identityManagement;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.Node;
import net.wanji.databus.entity.client.identitymanagement.Role;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/25 16:48
 */
public interface RoleProvider extends BaseDubboInterface<Role> {

    /**
     * @Description: 获取待分配角色的用户列表
     *
     * @param disabled
     * @return java.util.List<net.wanji.common.framework.rest.Node>
     * @Author wanji
     * @Date 2019/11/27 14:23
     **/
    List<Node> getAllUserWithoutRole(boolean disabled) throws DubboProviderException;

    /**
     * @Description: 根据角色集合批量取消企业用户角色授权
     *
     * @param ids
     * @return void
     * @Author wanji
     * @Date 2019/12/6 14:14
     **/
    String checkCompanyUser(String ids) throws DubboProviderException;

    /**
     * @Description: 根据角色查询企业用户
     *
     * @param RoleId
     * @return java.util.List<java.lang.String>
     * @Author wanji
     * @Date 2020/1/19 15:29
     **/
    List<String> findUserByRoleId(List<String> RoleId);

    /**
     * @Description: 获取应用角色的二级目录树
     *
     * @param disabled
     * @return java.util.List<net.wanji.common.framework.rest.Node>
     * @Author wanji
     * @Date 2020/3/19 10:22
     **/
    List<Node> getCatalog(boolean disabled) throws DubboProviderException;

    /**
     * @Description: 为业务账号设置管理员
     *
     * @param params
     * @return void
     * @Author wanji
     * @Date 2020/4/17 17:20
     **/
    void assignRole(Map<String, Object> params) throws DubboProviderException;

}
