package net.wanji.databus.provider.component;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.common.framework.rest.Node;
import net.wanji.databus.entity.component.ComponentGroup;

import java.util.List;

/**
 * @ClassName ComponentGroupProvider
 * @Description 页面资源组
 * @Author wanji
 * @Date 2020/5/19 15:27
 * @Version 1.0
 */
public interface ComponentGroupProvider extends BaseDubboInterface<ComponentGroup> {
    /**
     * @Author wanji
     * @Description  查询树
     * @Date 13:40 2020/5/20
     * @return java.util.List<ComponentGroup>
     * @throws
     */
    JsonViewObject findDetailAll() throws DubboProviderException;

    /**
     * @Author shuang.dai
     * @Description  导出组件
     * @Date 16:40 2020/10/22
     * @return jsonviewobject
     * @throws
     */
    JsonViewObject componentExport(List<String> componentVersions)throws DubboProviderException;

    /**
     * 组件导入
     * @param bytes
     * @param importType
     * @return
     * @throws DubboProviderException
     */
    JsonViewObject componentImport(byte[] bytes, String importType) throws DubboProviderException;

    /**
     * 查询组件树
     * @return
     * @throws DubboProviderException
     */
    public List<Node> queryComponentTree() throws DubboProviderException;
}
