package net.wanji.databus.provider.component;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.common.framework.rest.Node;
import net.wanji.databus.entity.component.WebPageTemplateGroup;

import java.util.List;

public interface WebPageTemplateGroupProvider extends BaseDubboInterface<WebPageTemplateGroup> {

    JsonViewObject findDetailAll() throws DubboProviderException;

    /**
     *模板导出
     * @param componentVersionIds
     * @return
     * @throws DubboProviderException
     */
    JsonViewObject templateExport(List<String> componentVersionIds) throws DubboProviderException;

    /**
     *
     * 模板导入
     * @param bytes
     * @param importType
     * @return
     * @throws DubboProviderException
     */
    JsonViewObject templateImport(byte[] bytes, String importType)throws DubboProviderException;

    /**
     *
     * 查询模板树
     * @return
     */
    List<Node> queryTemplateTree() throws DubboProviderException;

}
