package net.wanji.databus.provider.develop.searchcenter;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.Node;
import net.wanji.databus.entity.develop.searchcenter.SearchFields;
import net.wanji.databus.entity.develop.searchcenter.SearchTable;

import java.util.List;
import java.util.Map;

/**
 * Created by wanji on 2020/3/16.
 */
public interface SearchFieldsProvider extends BaseDubboInterface<SearchFields> {
    /**
     * 保存表字段
     *
     * @param tableId
     * @param tableFieldsList
     * @return
     * @throws DubboProviderException
     */
    void saveTableFields(String tableId, List<Map<String, Object>> tableFieldsList) throws DubboProviderException;

    /**
     * 删除表字段
     *
     * @param id
     * @throws DubboProviderException
     */
    void deleteFields(String id) throws DubboProviderException;

    List<Node> getAllTreeRes(List<String> authObjIdList);

    List<SearchTable> listTablesByAccountMappingsId(String accountMappingsId) throws DubboProviderException;
}
