package net.wanji.databus.provider.develop.servicedevelop.a2a;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.common.framework.rest.Node;
import net.wanji.databus.entity.integration.servicegateway.a2a.A2ARestful;

import java.util.List;
import java.util.Map;

/**
 * @Author wanji
 * @Date 2020/3/18 13:44
 */
public interface GiscA2ARestfulProvider extends BaseDubboInterface<A2ARestful> {
    /**
     * @param
     * @return java.util.List<net.wanji.common.framework.rest.Node>
     * @Description: 获取系统/A2A二级目录树
     * @Author wanji
     * @Date 2020/4/1 13:53
     **/
    List<Node> getCatalog(String type) throws DubboProviderException;

    A2ARestful queryVersion(String id) throws DubboProviderException;

    A2ARestful findByKeyAndVersion(String id, String version);

    JsonViewObject importApi(Map<String, Object> map) throws DubboProviderException;
}
