
package net.wanji.databus.provider.develop.servicedevelop.bpm;



import java.util.Map;


/**
 * @Description: 流程工具
 * @Author: xinrui.li
 * @Date: 2020/04/17/15:46
 */

public interface BpmActivityProvider {

    /**
     * 流程部署
     *
     * @param wfXml  流程xml
     * @param wfName 流程名称
     * @param wfCode
     * @return
     */
    String deploymentWorkFlow(String wfXml, String wfName, String wfCode, Map<String, Object> extendMap);


    /**
     * 取消部署
     *
     * @param deploymentId
     * @return
     */
    boolean unDeploymentWorkFlow(String deploymentId, Map<String, Object> extendMap);




    /**
     * 判断流程是否运行完成
     *
     * @param processInstanceId
     * @return
     */
    boolean isEnd(String processInstanceId, Map<String, Object> extendMap);


    /**
     * 判断流程运行状态
     * true：正常运行
     * false：暂停中
     *
     * @param processInstanceId
     */
    boolean getStatus(String processInstanceId, Map<String, Object> extendMap);


    /**
     * 暂停/挂起
     *
     * @param processInstanceId
     * @return
     */
    void suspend(String processInstanceId, Map<String, Object> extendMap);


    /**
     * 激活
     *
     * @param processInstanceId
     * @return
     */
    void activating(String processInstanceId, Map<String, Object> extendMap);


    /**
     * 根据任务ID获取参数
     *
     * @param taskId
     * @return
     */
    Map<String, Object> getVariables(String taskId);


    /**
     * 设置参数
     *
     * @param taskId
     * @param variables
     */
    void setVariables(String taskId, Map<String, Object> variables, Map<String, Object> extendMap);


    /**
     * 放行
     *
     * @param
     * @param variables
     * @return
     */
    boolean completeTask(String taskId, Map<String, Object> variables, Map<String, Object> extendMap);


    /**
     * 启动流程
     *
     * @param key
     * @param variables
     * @return
     */
    String startWorkFlow(String key, Map<String, Object> variables, Map<String, Object> extendMap);


}

