package net.wanji.databus.provider.develop.servicedevelop.bpm;


import java.util.Map;

/**
 * 流程管理
 */
public interface BpmDeployProvider {


    /**
     * 部署流程
     * @return
     */
    public Object deploy(Map<String,Object> map);

    /**
     * 取消部署流程
     * @return
     */
    public Object unDeploy(Map<String,Object> map);


    /**
     * 启动流程
     * @param map
     * @return
     */
    public Object start(Map<String,Object> map);


    /**
     * 暂停流程
     * @param map
     * @return
     */
    public Object pause(Map<String,Object> map);

    /**
     * 激活流程
     * @param map
     * @return
     */
    public Object activating(Map<String,Object> map);

    /**
     * 作废/销毁流程
     * @param map
     * @return
     */
    public Object destroy(Map<String,Object> map);


    /**
     * 根据流程实例ID获取当前任务任务
     * @param map
     * @return
     */
    public Object getTask(Map<String,Object> map);


    /**
     * 任务办理
     * 根据流程实例ID获取当前任务任务
     * 根据当前任务ID进行流程任务扭转
     * @param map
     * @return
     */
    public Object completeTask(Map<String,Object> map);







}
