package net.wanji.databus.provider.develop.servicedevelop.bpm;


import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.databus.entity.develop.servicedevelop.bpm.processmanager.WorkflowNodeDefinition;

import java.util.List;

/**
 * 类描述: 流程节点服务类
 * 流程节点结构CRUD
 *
 * @Author
 * @Date 2019/8/26 9:59
 */
public interface WorkflowNodeDefinitionProvider extends BaseDubboInterface<WorkflowNodeDefinition> {

    /**
     * 描述: 根据不同条件删除流程定义节点，支持根据流程定义id，流程定义id+流程节点定义id
     *
     * @param definition 删除条件
     * @Author
     * @Date 2019/9/6 15:55
     **/
    void deleteByCondition(WorkflowNodeDefinition definition) throws DubboProviderException;

    /**
     * 描述: 根据nodeID和流程id获取
     *
     * @param
     * @Author
     * @Date 2019/9/6 15:55
     **/
    WorkflowNodeDefinition findByNodeId(String nodeId,String workflowId) throws DubboProviderException;

    /**
     * @Description 根据nodeId删除
     *
     * @param
     * @return
     * @Author xinrui.li
     * @Date 2020/4/26 14:54
     */
    void deleteByNodeId(String nodeId) throws DubboProviderException;

    /**
     * @Description 插入多个
     *
     * @param
     * @return
     * @Author xinrui.li
     * @Date 2020/4/28 17:57
     */
    void saveWorkflowNodeDefinitions( List<WorkflowNodeDefinition> workflowNodeDefinitionList) throws DubboProviderException;

    WorkflowNodeDefinition findJsonById(String id) throws DubboProviderException;
}
