package net.wanji.databus.provider.develop.servicedevelop.bpm;


import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.develop.servicedevelop.bpm.processmanager.WorkflowType;

/**
 * 类描述: 流程管理模块
 * 流程CRUD
 * 流程类别CRUD
 *
 * @Author
 * @Date 2019/8/26 9:59
 */
public interface WorkflowTypeProvider extends BaseDubboInterface<WorkflowType> {
    /**
     * 根据应用ID获取流程类型及已部署的流程树
     *
     * @param appId
     * @param isDeploy
     * @return
     * @Author xinrui.li
     * @Date 2020/4/20 11:02
     * @throws DubboProviderException
     *
     */
    JsonViewObject getWorkflowTree(String appId, boolean isDeploy) throws DubboProviderException;
}
