package net.wanji.databus.provider.develop.servicedevelop.develop;

import net.wanji.databus.entity.develop.servicedevelop.develop.ApiRestful;
import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.common.framework.rest.Node;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/3/17 17:23
 */
public interface ApiRestfulProvider extends BaseDubboInterface<ApiRestful> {

    /**
     * @param applicationId
     * @return net.wanji.common.framework.rest.JsonViewObject
     * @Description: 根据应用id获取应用下按模块分类的所有服务
     * @Author wanji
     * @Date 2020/3/20 10:22
     **/
    List<Node> listRestful(String applicationId) throws DubboProviderException;

    void changeType(Map<String, String> map) throws DubboProviderException;

    /**
     * @param applicationId
     * @return java.util.List<net.wanji.common.framework.rest.Node>
     * @Description: 按请求方式(GET 、 POST)树形展示平台服务
     * @Author wanji
     * @Date 2020/4/22 22:29
     **/
    List<Node> getRestfulTree(String applicationId) throws DubboProviderException;

    ApiRestful findByKeyAndVersion(String key, String version);

    ApiRestful queryVersion(String key);

    JsonViewObject createVersion(ApiRestful apiRestful);
}
