package net.wanji.databus.provider.develop.servicedevelop.develop;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.integration.servicegateway.d2a.view.D2ATableView;

/**
 * @Author wanji
 * @Date 2020/3/25 16:02
 */
public interface BusinessTableProvider extends BaseDubboInterface<D2ATableView> {
    /**
     * 基础数据--业务表--创建表。
     *
     * @param tableView D2ATable的包装类。相比D2ATable扩展了字段信息。
     * @return 创建结果。
     */
    JsonViewObject createBusinessTable(D2ATableView tableView, String username);

    /**
     * 基础数据--业务表--表单个删除
     * 逻辑上的删除表，可重新导入。新建和导入类型的表均适用
     *
     * @param tableId 表的主键id。
     */
    JsonViewObject dropBusinessTableLogicallyById(String tableId, String username);

    /**
     * 基础数据--业务表--修改字段。
     * <p>
     * 目前只允许增加字段、更新旧字段的中文名。
     *
     * @param fieldsStr 用户需要的新字段。
     * @return 表结构修改结果。
     */
    JsonViewObject alterBusinessTable(String fieldsStr, String username);
}
