package net.wanji.databus.provider.develop.servicedevelop.develop;

import net.wanji.databus.entity.develop.servicedevelop.develop.Restful;
import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/3/16 18:36
 */
public interface RestfulProvider extends BaseDubboInterface<Restful> {

    /**
     * 返回插件
     *
     * @return
     */
    String listPlugin() throws DubboProviderException;

    /**
     * 保存流程设计
     *
     * @param jsonStr
     */
    JsonViewObject saveProcess(String jsonStr) throws DubboProviderException;

    /**
     * 回填插件的全局变量(输入输出变量等)
     *
     * @param restfulId
     * @param pluginId
     * @return
     * @throws DubboProviderException
     */
    JsonViewObject fillPlugin(String restfulId, String pluginId) throws DubboProviderException;
}
