package net.wanji.databus.provider.develop.servicedevelop.gatewayaccess;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.Page;
import net.wanji.databus.entity.develop.servicedevelop.develop.ApiRestful;
import net.wanji.databus.entity.integration.servicegateway.gatewayaccess.Gateway;
import net.wanji.databus.entity.integration.servicegateway.gatewayaccess.GatewayDTO;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/2/11 9:23
 */
public interface GiscGatewayProvider extends BaseDubboInterface<Gateway> {

    /**
     * @param map map 支持moduleId,apiType
     * @return net.wanji.common.framework.rest.Page<ApiRestful>
     * @Description: 根据接口类型及模块id查询接口及网关信息
     * @Author
     * @Date 2020/3/19 18:16
     **/
    Page<GatewayDTO> findGatewayByModuleIdAndApiTypeAndPage(Map<String, Object> map) throws DubboProviderException;

    List<GatewayDTO> findGatewayByModuleIdAndApiType(Map<String, Object> map) throws DubboProviderException;

    Page<GatewayDTO> findGatewayByDbIdAndPage(Map<String, Object> map) throws DubboProviderException;

    List<GatewayDTO> findGatewayByDbId(Map<String, Object> map) throws DubboProviderException;

    Page<GatewayDTO> findGatewayBySystemIdAndPage(Map<String, Object> map) throws DubboProviderException;

    List<GatewayDTO> findGatewayBySystemId(Map<String, Object> map) throws DubboProviderException;

    Page<GatewayDTO> findGatewayWebServiceBySystemIdAndPage(Map<String, Object> map) throws DubboProviderException;

    List<GatewayDTO> findGatewayWebServiceBySystemId(Map<String, Object> map) throws DubboProviderException;

    /**
     * @param map map 支持appId,apiType
     * @return net.wanji.common.framework.rest.Page<ApiRestful>
     * @Description: 根据接口类型及应用id类型查询接口及网关信息
     * @Author
     * @Date 2020/3/19 18:16
     **/
    Page<ApiRestful> findGatewayDetailByAppIdAndApiType(Map<String, Object> map) throws DubboProviderException;

    /**
     * @return Gateway
     * @throws
     * @Author wanji
     * @Description 根据gatewaykey和version查找网关
     * @Date 11:05 2020/8/14
     * @Param [gatewayKey, version]
     */
    Gateway findByKeyAndVersion(String gatewayKey, String version);

    /**
     * @return Gateway
     * @throws
     * @Author wanji\
     * @Description 根据gatewaykey查找网关
     * @Date 11:05 2020/8/14
     * @Param [gatewayKey]
     */
    Gateway queryVersion(String key);

    List<GatewayDTO> findGatewayByCondition(Map<String, Object> mapBean);


//    JsonViewObject batchsave(Gateway entity) throws DubboProviderException;
}
