package net.wanji.databus.provider.identity.identity;

import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.Node;
import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.databus.entity.identity.identity.BusinessAccount;
import net.wanji.databus.entity.identity.identity.Department;
import net.wanji.databus.entity.identity.identity.Station;

import java.util.List;

/**
 * Created by wanji on 2019/3/5.
 */
public interface DepartmentProvider extends BaseDubboInterface<Department> {

    /**
     * @param
     * @return java.util.List<net.wanji.common.identity.rest.Node>
     * @Description: 获取企业/部门二级目录
     * @Author wanji
     * @Date 2019/12/3 13:43
     **/
    List<Node> getCatalog() throws DubboProviderException;

    /**
     * @Description: 拼接最顶级部门节点
     *
     * @param departments
     * @param stations
     * @param companyUsers
     * @param department
     * @return void
     * @Author wanji
     * @Date 2019/12/23 16:03
     **/
     Node changeDepartmentNode(List<Department> departments, List<Station> stations, List<BusinessAccount> companyUsers, Node department);

    /**
     * @Description: 根据部门id集合批量删除
     *
     * @param ids
     * @return void
     * @Author wanji
     * @Date 2019/12/31 10:23
     **/
    void deleteByDepartmentIds(String ids) throws DubboProviderException;

    /**
     * @Description: 根据部门id查询企业用户
     *
     * @param
     * @return
     * @Author wanji
     * @Date 2020/1/19 14:54
     **/
    List<String> findUserByDepartmentId(List<String> DepartmentId);

    List<Department> getDepartmentByAppId(String appId);

    List listDepartmentsByBusinessAccountId(String businessAccountId, String appId) throws DubboProviderException;

    List<Department> listParentDepartmentsByDepartment(Department department);

    public List<Department> listParentDepartmentsByDepartments(List<Department> departments);

    public List<Node> buildNodes(List<Department> departments) throws Exception;

    List<Node> getCatalogByAppId(String appId) throws DubboProviderException;
}
