package net.wanji.databus.provider.identity.identity;

import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.mapper.ExportImportMapper;
import net.wanji.common.framework.rest.Node;
import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.databus.entity.identity.identity.Organization;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/27 18:46
 **/
public interface OrganizationProvider extends BaseDubboInterface<Organization>, ExportImportMapper {

    List<Node> getCatalog(boolean disabled) throws DubboProviderException;

    /**
     * @Description: 根据企业id集合批量删除相关企业以及其字表相关的数据
     *
     * @param
     * @return void
     * @Author wanji
     * @Date 2019/12/30 16:19
     **/
    void deleteByCompanyIds(String ids) throws DubboProviderException;

    /**
     * @Description: 平铺节点
     *
     * @param node
     * @param result
     * @return void
     * @Author wanji
     * @Date 2019/12/31 11:05
     **/
    void flatTreeNode(Node node, List<Node> result);

    /**
     * @Description:  根据企业id 查询用户
     *
     * @param CompanyId
     * @return java.util.List<java.lang.String>
     * @Author wanji
     * @Date 2020/1/19 15:00
     **/
    List<String> findUserByCompanyId(List<String> CompanyId);

    Organization findOrganizationByBusinessAccountId(String businessAccountId);

    List<Map<String, Object>> newListOrganizationsByAppId(String appId);

    List<Node> getCatalogByCompanyId(String companyId) throws DubboProviderException;
}
