package net.wanji.databus.provider.identity.identity;

import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.rest.Node;
import net.wanji.databus.entity.identity.identity.Station;

import java.util.List;

/**
 * @Description:
 * @Author wanji
 * @Date 2019/11/27 18:45
 **/
public interface StationProvider extends BaseDubboInterface<Station> {

    /**
     * @Description: 根据岗位集合批量删除相关的信息
     *
     * @param ids
     * @return void
     * @Author wanji
     * @Date 2019/12/31 11:29
     **/
    void deleteByStationIds(String ids) throws DubboProviderException;

    /**
     * @Description: 根据岗位id查询企业用户
     *
     * @param DepartmentId
     * @return java.util.List<java.lang.String>
     * @Author wanji
     * @Date 2020/1/19 15:08
     **/
    List<String> findUserByStationId(List<String> DepartmentId);

    List<Station> getStationByDeptId(String deptId);

    List<Station> getStationByAppId(String appId);

    List<Station> getStationBydeptIdAndAppId(String deptId,String appId);

    List<Station> getStationByBusinessAccountId(String businessAccountId,String appId);

    List<Node> getCatalogByAppId(String appId) throws DubboProviderException;

    public List<Node> buildNodes(List<Station> stationList) throws Exception;
}
