package net.wanji.databus.provider.integration.messagecenter;

import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.integration.messagecenter.MessageTopic;

/**
 * 功能描述：
 *
 * @author: wanji
 * @Data: 2020/3/9 8:55
 */
public interface MessageBusProvider {

    /**
     * 根据消息Id   启动消息监听
     *
     * @param topic
     * @return
     * @throws DubboProviderException
     */
    JsonViewObject startMessageBus(MessageTopic topic);

    /**
     * 根据消息Id   停止消息监听
     *
     * @param topicId
     * @return
     * @throws DubboProviderException
     */
    JsonViewObject stopMessageBus(String topicId);

    /**
     * 恢复topic的监听
     *
     * @throws DubboProviderException
     */
    void recoverMessageBusListen() throws DubboProviderException;
}
