package net.wanji.databus.provider.integration.messagecenter;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.Node;
import net.wanji.databus.entity.integration.messagecenter.MessageSubscribe;

import java.util.List;

/**
 * @Description:dubbo中消息订阅提供者接口
 * @Author wanji
 * @Date 2019/11/27 14:50
 */
public interface MessageSubscribeProvider extends BaseDubboInterface<MessageSubscribe> {

    /**
     * @param
     * @return java.util.List<net.wanji.common.framework.rest.Node>
     * @Description: 获取所有消息以及相关授权的树形结构
     * @Author wanji
     * @Date 2019/12/9 17:52
     **/
    List<Node> getAllTreeMessage(List authIdList) throws DubboProviderException;

    List<MessageSubscribe> findByAppId(String appId);
}
