package net.wanji.databus.provider.integration.servicegateway.a2a;

import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.integration.servicegateway.a2a.A2ARestful;
import net.wanji.databus.entity.integration.servicegateway.a2a.WebService;

import java.util.Map;

/**
 * @ClassName A2aRunProvider
 * @Description a2a 访问入口
 * @Author wanji
 * @Date 2020/6/9 15:34
 * @Version 1.0
 */
public interface A2aRunProvider {
    /**
     * restful 访问入口
     *
     * @param param {
     *              "id": a2aRestful的主键id,
     *              "method": 请求方式get/post/put/delete,
     *              "url": 请求的url,
     *              "header": 请求行,
     *              "body": 请求体
     *              }
     * @return 测试结果。
     */
    JsonViewObject a2arestful(Map<String, Object> param, A2ARestful a2ARestful);

    /**
     * webservice 访问入口
     *
     * @param param {
     *              "id": a2aRestful的主键id,
     *              "method": 请求方式get/post/put/delete,
     *              "url": 请求的url,
     *              "header": 请求行,
     *              "body": 请求体
     *              }
     * @return 测试结果。
     */
    JsonViewObject a2awebservice(Map<String, Object> param, WebService webService);
}
