package net.wanji.databus.provider.integration.servicegateway.d2a;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.integration.servicegateway.d2a.D2ADataBase;
import net.wanji.databus.entity.integration.servicegateway.d2a.D2ATable;

/**
 * @Author wanji
 * @Date 2020/3/18 11:22
 */
public interface D2ADataBaseProvider extends BaseDubboInterface<D2ADataBase> {
    /**
     * 列出数据中的所有的表。
     *
     * @param id          数据库 id。
     * @param schemaName。
     * @return 所有的表。
     */
    JsonViewObject listImportTable(String id, String schemaName);

    /**
     * 列出Oracle数据库的模式。
     *
     * @param id 数据库主键id。
     * @return oracle数据库的所有模式。
     */
    JsonViewObject listOracleSchema(String id);

    /**
     * 导入表
     *
     * @param d2ATable table。
     */
    JsonViewObject importTable(D2ATable d2ATable, String username);

    /**
     * 测试数据库连接
     *
     * @param d2ADataBase 数据库信息
     * @return 是否连接成功。true：成功。false：失败。
     */
    JsonViewObject testConnect(D2ADataBase d2ADataBase);
}
