package net.wanji.databus.provider.integration.servicegateway.d2a;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.Node;
import net.wanji.databus.entity.integration.servicegateway.d2a.D2ATableRestful;

import java.util.List;

/**
 * @Author wanji
 * @Date 2020/3/18 11:23
 */
public interface D2ATableRestfulProvider extends BaseDubboInterface<D2ATableRestful> {
    /**
     * @param
     * @return java.util.List<net.wanji.common.framework.rest.Node>
     * @Description: 获取数据库/D2A二级目录树
     * @Author wanji
     * @Date 2020/4/1 11:50
     **/
    List<Node> getCatalog() throws DubboProviderException;

    D2ATableRestful findByKeyAndVersion(String key, String version);

    D2ATableRestful queryVersion(String key);
}
