package net.wanji.databus.provider.integration.servicegateway.gatewayaccess;

import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.databus.entity.integration.servicegateway.gatewayaccess.Gateway;

/**
 * @Description: 网关动态路由
 * @Author
 * @Date 2020/2/10 16:06
 */
public interface DynamicRouteServiceProvider {

    /**
     * @Description: 加载路由定义，在每次启动时执行
     *
     * @return java.lang.String
     * @Author
     * @Date 2020/2/10 16:22
     **/
    void loadRouteDefinition() throws DubboProviderException;

    /**
     * @Description: 动态保存一个路由
     *
     * @param gateway 路由定义
     * @Author
     * @Date 2020/2/10 16:23
     **/
    void save(Gateway gateway) throws DubboProviderException;

    /**
     * @Description: 根据路由ids动态删除路由
     *
     * @param ids 路由ids
     * @Author
     * @Date 2020/2/10 16:57
     **/
    void deleteByIds(String... ids) throws DubboProviderException;
}
