package net.wanji.databus.provider.integration.servicegateway.visitapp;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.integration.servicegateway.visitapp.GatewayVisitApp;

import java.util.List;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/3/17 0:19
 */
public interface GatewayVisitAppProvider extends BaseDubboInterface<GatewayVisitApp> {

    /**
     * @Description: 服务网关中访问应用中访问应用自动生成密钥，采用uuid形式
     *
     * @param gatewayVisitApp
     * @return net.wanji.common.framework.rest.JsonViewObject
     * @Author wanji
     * @Date 2020/3/17 2:23
     **/
    JsonViewObject saveGatewayVisitApp(GatewayVisitApp gatewayVisitApp)  throws DubboProviderException;

    /**
     * 查询所有记录并包含是否被授权
     * @author guohui.wang
     * @date 2020-3-17 17:06:39
     * @return  List<GatewayVisitApp>
     */
    List<GatewayVisitApp> findAllWithAuthorizedStatus(String gatewayId);

}
