package net.wanji.databus.provider.manage.systemsetting;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.databus.entity.manage.systemsetting.SystemParam;

import java.util.Map;

/**
 * @author wanji
 * @date 2019/3/6
 */
public interface SystemParamProvider extends BaseDubboInterface<SystemParam> {
    /**
     * 根据key获取value,并将value转换为Map结构
     *
     * @param key
     * @return
     * @throws DubboProviderException
     */
    Map<String, Object> getMapByKey(String key) throws DubboProviderException;

    /**
     * 根据key查询value
     *
     * @param key
     * @return
     * @throws DubboProviderException
     */
    String getValueByKey(String key) throws DubboProviderException;
}
