package net.wanji.databus.provider.monitor.operationmonitor;

import net.wanji.common.framework.exception.DubboProviderException;

import java.util.Map;

/**
 * @Description:
 * @Author wanji
 * @Date 2020/2/12 15:23
 */
public interface OperationMonitorProvider {

    /**
     * @param
     * @return java.util.Map
     * @Description: 获取Nginx状态相关信息
     * @Author wanji
     * @Date 2020/2/12 15:44
     **/
    Map queryNginxStatus() throws Exception;

    /**
     * @param
     * @return java.util.Map 返回为gateway Ip地址和端口号
     * @Description: 运维中心获取Gateway状态相关信息
     * @Author wanji
     * @Date 2020/2/14 11:10
     **/
    Map queryGetewayStatus() throws DubboProviderException;

    /**
     * @param
     * @return java.util.Map 返回为nacos地址
     * @Description: 运维中心获取Nacos状态相关信息
     * @Author wanji
     * @Date 2020/2/14 11:10
     **/
    String[] queryNacosStatus() throws Exception;

    /**
     * @param
     * @return java.util.Map 返回为Sentinel地址
     * @Description: 运维中心获取Sentinel状态相关信息
     * @Author wanji
     * @Date 2020/2/14 11:10
     **/
    String[] querySentinelStatus() throws Exception;
}
