package net.wanji.databus.provider.servicedevelop;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.common.framework.rest.Node;
import net.wanji.databus.entity.servicedevelop.DataBaseRestful;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author guoliang.dong
 * @Date 2021/1/7 18:36
 */
public interface DataBaseRestfulProvider extends BaseDubboInterface<DataBaseRestful> {

    /**
     * @param applicationId
     * @return net.wanji.common.framework.rest.JsonViewObject
     * @Description: 根据应用id获取应用下按模块分类的所有服务
     * @Author wanji
     * @Date 2020/3/20 10:22
     **/
    List<Node> listRestful(String applicationId) throws DubboProviderException;

    void changeType(Map<String, String> map) throws DubboProviderException;

    /**
     * @param applicationId
     * @return java.util.List<net.wanji.common.framework.rest.Node>
     * @Description: 按请求方式(GET 、 POST)树形展示平台服务
     * @Author wanji
     * @Date 2020/4/22 22:29
     **/
    List<Node> getRestfulTree(String applicationId) throws DubboProviderException;

    DataBaseRestful findByKeyAndVersion(String key, String version);

    DataBaseRestful queryVersion(String key);

    JsonViewObject createVersion(DataBaseRestful apiRestful);
}
