package net.wanji.databus.provider.servicedevelop;

import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.rest.JsonViewObject;
import net.wanji.databus.entity.servicedevelop.ServiceRestful;

/**
 * @Description:
 * @Author guoliang.dong
 * @Date 2021/1/7 18:36
 */
public interface ServiceRestfulProvider extends BaseDubboInterface<ServiceRestful> {

    /**
     * 返回插件
     *
     * @return
     */
    String listPlugin() throws DubboProviderException;

    /**
     * 保存流程设计
     *
     * @param jsonStr
     */
    JsonViewObject saveProcess(String jsonStr) throws DubboProviderException;

    /**
     * 回填插件的全局变量(输入输出变量等)
     *
     * @param restfulId
     * @param pluginId
     * @return
     * @throws DubboProviderException
     */
    JsonViewObject fillPlugin(String restfulId, String pluginId) throws DubboProviderException;
}
