package net.wanji.databus.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author duanruiming
 * @date 2023/04/11 9:26
 */
@Data
@ApiModel(value = "delBaseConfigVO", description = "信号机删除命令实体")
public class DelBaseConfigVO {
    @ApiModelProperty(value = "路口编号")
    @NotBlank
    private String crossId;
    @ApiModelProperty(value = "参数类型：4-相位、5-方案、6-计划、7-日期")
    @NotNull
    private Integer type;
    @ApiModelProperty(value = "需要删除对应配置的id列表")
    @NotEmpty
    private List<Integer> ids;
}
