package net.wanji.databus.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Map;

/**
 * @author Kent HAN
 * @date 2022/11/21 14:04
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "LightsStatusVO", description = "实时灯态信息实体")
public class LightsStatusVO extends BaseCrossInfo {
    @ApiModelProperty(value = "运行模式 `2=手动锁定当前相位`，`3=手动全红`，`4=手动黄闪`，`5=手动关灯`，" +
            "`6=全红闪控制`，`7=全黄控制`，`8=正常按计划运行`，`9=手动步进控制`，`10=自动步进控制`，`11=恢复时间表`，`255=临时控制方案`")
    private String runMode;
    @ApiModelProperty(value = "控制模式")
    private String controlMode;
    @ApiModelProperty(value = "相位方案号")
    private String phasePlanId;
    @ApiModelProperty(value = "方案开始时间", notes = "目前没有用到")
    private String schemeStartTime;
    @ApiModelProperty(value = "周期剩余时长")
    private Integer cycleCountDown;
    @ApiModelProperty(value = "相位周期剩余时长")
    private Integer cyclePhaseCountDown;
    @ApiModelProperty(value = "相位周期时长")
    private Integer cycleLen;

    @ApiModelProperty(value = "当前相位号")
    private String phaseId;
    @ApiModelProperty(value = "当前方案号")
    private String schemeId;
    @ApiModelProperty(value = "灯组状态")
    private Map<String,Object> dirLampGroupMap;
    @ApiModelProperty(value = "方向转向红灯倒计时")
    private Map<String,Object> phaseMap;
    @ApiModelProperty(value = "数据上报时间戳")
    private String timeStamp;


    public void setCycleCountDown(Integer cycleCountDown) {
        if (null == cycleCountDown) {
            this.cycleCountDown = -1;
        } else {
            this.cycleCountDown = cycleCountDown;
        }
    }
    public Integer getCycleCountDown() {
        if (null == cycleCountDown) {
            return -1;
        }
        return cycleCountDown;
    }
}
