package net.wanji.databus.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author Kent HAN
 * @date 2023/2/9 8:38
 */
@Data
@NoArgsConstructor
@ApiModel(value = "RunningEvaluateCrossListVO", description = "运行评价-路口列表VO")
public class RunningEvaluateCrossListVO {

    @ApiModelProperty(value = "路口ID")
    private String crossId;

    @ApiModelProperty(value = "路口名称")
    private String crossName;

    @ApiModelProperty(name = "饱和度")
    @JsonIgnore
    private Double sturation;

    @ApiModelProperty(value = "服务水平")
    private String serviceLevel;

    @ApiModelProperty(value = "路口经度")
    private Double longitude ;

    @ApiModelProperty(value = "路口纬度")
    private Double latitude ;

    @ApiModelProperty(value = "拥堵指数")
    private BigDecimal congestionIndex;

}
