package net.wanji.databus.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author duanruiming
 * @date 2023/01/17 15:39
 */
@Data
@ApiModel(value = "StepControlVO", description = "步进控制-步进控制/恢复输入参数")
public class StepControlVO {
    @ApiModelProperty(value = "路口编号", notes = "路口编号")
    @NotBlank(message = "路口编号不能为空")
    private String code;
    @ApiModelProperty(value = "0 顺序步进 n 跳过n个相位", notes = "0 顺序步进 n 跳过n个相位")
    private int stepNum;
    @ApiModelProperty(value = "1 开始步进 0 取消步进", notes = "1 开始步进 0 取消步进")
    private Integer command;
}
